interfaces Library: KTextEditor::BlockSelectionDCOPInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::BlockSelectionDCOPInterface Class Reference

This is the main interface to the BlockSelectionInterface of KTextEditor. DCOP interface to BlockSelectionInterface. More...

`#include <blockselectiondcopinterface.h>`

Inheritance diagram for KTextEditor::BlockSelectionDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::BlockSelectionDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | blockSelectionInterfaceNumber ()
bool | blockSelectionMode ()
bool | setBlockSelectionMode (bool on)
bool | toggleBlockSelectionMode ()
## Public Member Functions
| BlockSelectionDCOPInterface (BlockSelectionInterface *Parent, const char *name)
virtual | ~BlockSelectionDCOPInterface ()

## Detailed Description

This is the main interface to the BlockSelectionInterface of KTextEditor. DCOP interface to BlockSelectionInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file blockselectiondcopinterface.h.

## Constructor & Destructor Documentation

BlockSelectionDCOPInterface::BlockSelectionDCOPInterface | ( | BlockSelectionInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  | Parent | the parent BlockSelectionInterface object that will provide us with the functions for the interface.
  | name | the QObject's name
Definition at line 7 of file blockselectiondcopinterface.cpp.

BlockSelectionDCOPInterface::~BlockSelectionDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file blockselectiondcopinterface.cpp.

## Member Function Documentation

bool BlockSelectionDCOPInterface::blockSelectionMode | ( |  | ) |

| Returns the status of the selection mode - true indicates block selection mode is on. If this is true, selections applied via the SelectionInterface are handled as blockselections and the paste functions of the ClipboardInterface works on rectangular blocks of text rather than normal. (copy too, but thats clear I hope ;) Definition at line 22 of file blockselectiondcopinterface.cpp.

bool BlockSelectionDCOPInterface::setBlockSelectionMode | ( | bool | on | ) |

| set blockselection mode to state "on" Definition at line 26 of file blockselectiondcopinterface.cpp.

bool BlockSelectionDCOPInterface::toggleBlockSelectionMode | ( |  | ) |

| toggle blockseletion mode Definition at line 30 of file blockselectiondcopinterface.cpp.

The documentation for this class was generated from the following files:

- blockselectiondcopinterface.h
- blockselectiondcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003